#!/bin/sh
modelcheckers="`cd ../bv; ls -d */ | sed -e 's,/,,' | fmt`"
echo "model checkers '$modelcheckers'"

for modelchecker in $modelcheckers
do
  rm -rf $modelchecker
  mkdir $modelchecker
  cd $modelchecker
  for type in array bv
  do
    for ext in log err
    do
      for src in ../../$type/$modelchecker/*.$ext
      do
	dst=$type-"`echo $src | xargs basename`"
	ln -s $src $dst || exit 1
      done
    done
  done
  cd ..
done
